package intrinsic.mx.states;

public class SetEventHandler extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.states.IOverride {

	/** Accessors */

	/** Variables */
	public intrinsic.Function handlerFunction;
	public intrinsic.flash.events.EventDispatcher target;
	public String name;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SetEventHandler() {
}

public SetEventHandler(Object arg0) {
}

public SetEventHandler(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void initialize();
public native void remove(intrinsic.mx.core.UIComponent arg0);
public native void apply(intrinsic.mx.core.UIComponent arg0);

}
